curl --request PUT \
--url https://api.hirehive.com/v1.0/{company_id}/jobs/{job_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}
'{
"data": {
"id": "<string>",
"assigned_team": {
"assigned_users": [
"<string>"
],
"recruiter_ids": [
"<string>"
]
},
"notifications": {
"new_application_email": [
"<string>"
]
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"location": {
"city": "<string>",
"state": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"country": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"remote": "not_remote"
},
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"published_date": "2023-11-07T05:31:56Z",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"job_ads": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"job_board": "indeed",
"status": "unknown",
"budget": 123,
"meta": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"apply_url": "<string>"
}
}Update a job
curl --request PUT \
--url https://api.hirehive.com/v1.0/{company_id}/jobs/{job_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
]
}
'{
"data": {
"id": "<string>",
"assigned_team": {
"assigned_users": [
"<string>"
],
"recruiter_ids": [
"<string>"
]
},
"notifications": {
"new_application_email": [
"<string>"
]
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"location": {
"city": "<string>",
"state": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"country": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"remote": "not_remote"
},
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"published_date": "2023-11-07T05:31:56Z",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"job_ads": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"job_board": "indeed",
"status": "unknown",
"budget": 123,
"meta": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"apply_url": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
The title of the job.
100000The location object.
Show child attributes
The user_id of the job owner.
The status of the job.
drafted, published, closed, internal The employment type.
full_time, part_time, contract, temporary, other, internship, volunteer The experience type.
na, intern, entry_level, mid_level, senior The salary of the job.
A code associated with the job. This is internal.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?